package cn.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import cn.cloud.util.file.OssBootUtil;

/**
 * 云存储 配置
 */
@Configuration
public class OssConfiguration {

    @Value("${sam.oss.endpoint}")
    private String endpoint;
    @Value("${sam.oss.accessKey}")
    private String accessKeyId;
    @Value("${sam.oss.secretKey}")
    private String accessKeySecret;
    @Value("${sam.oss.bucketName}")
    private String bucketName;
    @Value("${sam.oss.staticDomain}")
    private String staticDomain;


    @Bean
    public void initOssBootConfiguration() {
        OssBootUtil.setEndPoint(endpoint);
        OssBootUtil.setAccessKeyId(accessKeyId);
        OssBootUtil.setAccessKeySecret(accessKeySecret);
        OssBootUtil.setBucketName(bucketName);
        OssBootUtil.setStaticDomain(staticDomain);
    }
}